Description

| wasn't sure whether these could be classed as bugs or not and | imagine the subject may look a little dumb. But anyways...

Save games don't save active particle generators or the state of animated materials; generators simply aren't there when you reload
while animated materials reset to their first frame.

I'm just thinking that while both are non-issues with the original maps, that mods may have scripted scenario's that feature either.

| suppose this tracker item basically comes down to a request that save games save absolutely everything in progress at the time of
the save, which may or may not be practical.

History

#1 - 2014-09-12 15:37 - danij
- Tracker changed from Bug to Feature

- Subject changed from Save games don't save everything to Remember material and particle animation states in save games

#2 - 2014-09-12 15:37 - danij

With regard to materials, saving of their animation state should wait until material instances have their lifetimes scoped to usage contexts because
each usage context has an entirely independent animation timeline.

#3 - 2014-09-12 15:45 - danij

- Subject changed from Remember material and particle animation states in save games to Remember material, particle and decoration animation
states in saved games

#4 - 2014-09-13 12:50 - vermil

Well, part of the reason | wrote the original subject title was because | considered that | may have more to add to it later (i.e if | thought of anything
else that might be important for a save game to store).

Audio is another thing to consider (music and sounds); currently the music position isn't saved in a save game (currently if the loaded game uses the
same music track currently playing, Dday simply continues playing it and if the loaded game uses a different music track to the one playing, Dday
start's playing the different track from the beginning).

| suppose music in particular might become more of an issue if Dday eventually supports loop points with music.

Save games also do not store whether a playmusic console command that changes the music mid map, has been called (i.e via XG), always going
back to the map info defined track.

Anyways, I'm going into specific examples of use now, which is outside the scope of this report.

#5 - 2019-11-29 21:06 - skyjake
- Category set to Enhancement

- Target version set to Rendering I
